<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://evosites.nl
 * @since             1.0.0
 * @package           Evo_Share_Article
 *
 * @wordpress-plugin
 * Plugin Name:       Share Article
 * Plugin URI:        http://evosites.nl/plugins/share-article
 * Description:       Easily share articles from other sites on your own blog.
 * Version:           1.1.3
 * Author:            Erwin Matijsen
 * Author URI:        https://evosites.nl
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       evo-share-article
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-evo-share-article-activator.php
 */
function activate_evo_share_article() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-evo-share-article-activator.php';
	Evo_Share_Article_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-evo-share-article-deactivator.php
 */
function deactivate_evo_share_article() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-evo-share-article-deactivator.php';
	Evo_Share_Article_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_evo_share_article' );
register_deactivation_hook( __FILE__, 'deactivate_evo_share_article' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-evo-share-article.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_evo_share_article() {

	$plugin = new Evo_Share_Article();
	$plugin->run();

}
run_evo_share_article();
